Retrieve cached company logo by domain (public)
curl --request GET \
--url https://rest.forestreet.com/v2/public/assets/logos/{domain} \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/public/assets/logos/{domain}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/public/assets/logos/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<string>"
}{
"success": true,
"data": "<string>"
}Public
Retrieve cached company logo by domain (public)
Serves company logos cached within the past 90 days. This endpoint is only used for companies discovered on the Forestreet platform; it does not actively search for as-yet-unknown company logos. If the requested logo is missing and a PNG response is requested, a magnifying-glass fallback icon is returned.
This endpoint is not authenticated. It is useful for custom UI serving Forestreet data, where the client’s browser does not have a Forestreet login session.
GET
/
v2
/
public
/
assets
/
logos
/
{domain}
Retrieve cached company logo by domain (public)
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
The domain name for the logo request (e.g., company-domain.com)
Pattern:
^(?!-)[a-zA-Z0-9-]{1,63}(?<!-)(?:\.(?!-)[a-zA-Z0-9-]{1,63}(?<!-))+$Query Parameters
Content type for the image endpoint. Defaults to 'image/png'. Use 'application/json' to get base64 encoded image.
Available options:
image/png, application/json